cwlVersion: v1.0
class: CommandLineTool
label: CTD - Connect the Dots in STRING
doc: Use CTD to "Connect the Dots" and identify highly connected set of proteins
  in the STRING protein interaction graph. *Please note 10-150 genes of interest
  are required to run CTD
baseCommand:
  - /app/cli/pwb.sh
  - GeneSet_CTD_String
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.geneset:
    label: Gene Set
    doc: Set of Genes
    type: File
    inputBinding:
      prefix: --inputs.geneset=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: CTD Response Info
    doc: ""
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
